.course-headline{
    width: 100%;
    max-width: 1920px;
    aspect-ratio: 1920 / 603;
    position: relative;
    min-height: 480px;
    margin: 0 auto;
}

.headline-bg-banner{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
}

.course-headline .content{
    height: 100%;
}

.headline-bg-banner:before{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top:0;
    left: 0;
    background: rgba(0, 0, 0, 0.6)
}

.course-main-wrap{
    position: relative;
    z-index: 2;
    color: white;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    height: fit-content;
    width: 100%;
    max-width: 737.5px;
    top: 50%;
    transform: translateY(-50%);
    padding: 0 1rem;
}

.course-main-wrap *{
    width: fit-content;
}

.sell-type{
    padding: 5px 10px;
    border-radius: 5px;
    background: #22a1ff;
}

.course-top-block{
    width: 100%;
    display: flex;
    /* justify-content: space-between; */
    gap: 15px;
}

.course-top-block .action-icon{
    width: 40px;
    aspect-ratio: 1;
    display: block;
}

.action-block i{
    font-size: 2rem;
    cursor: pointer;
    margin-right: 10px;
    transition: 0.5s;
}

.course-main-wrap.special .sold-type{
    background: #ff881d;
}

.course-detail.special .btn{
    background: #ff881d;
}

.course-detail.free .btn{
    background: #ef3a65;
}

.course-detail.bought .btn{
    background: #4f68cc;
}

.course-wrap .title{
    font-size: 2.5rem;
    font-family: "Noto Serif TC", serif;
    letter-spacing: 1px;
    padding: 0.5rem 0 1rem 0;
}

.tag-list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    padding-bottom: 1rem;
}

.tag-list li a{
    display: block;
    padding: 5px 10px;
    border-radius: 30px;
    color: #22a1ff;
    border: solid 1.5px #22a1ff;
    font-size: 14px;
    transition: 0.5s;
    letter-spacing: 1px;
    font-weight: 600;
    cursor: unset;
}

/* .tag-list li a:hover{
    background: #22a1ff;
    color: white;
} */

.countdown{
    font-weight: 500;
}

.countdown span{
    color: #22a1ff;
}

.course-headline .btn{
    padding : 10px 20px;
    background: #22a1ff;
    border-radius: 5px;
    color: white;
    min-width: 268px;
    text-align: center;
    margin-top: 1rem;
    cursor: pointer;
    transition: 0.5s;
}

.course-headline .btn .price{
    color:white !important;
    font-size: inherit;
    font-weight: normal;
}

.course-detail .content{
    display: flex;
    gap: 2rem;
}

.detail-left{
    width: 65%;
}

.detail-left img{
    max-width: 100%;
}

.detail-right{
    width: 35%;
    max-width: 380px;
    position: sticky;
    top: 80px;
    height: fit-content;
}

.course-detail-announce{
    padding:1rem 1.5rem;
    background: #f7f7f7;
    display: flex;
    justify-content: space-between;
    white-space: nowrap;
    align-items: center;
}

.course-detail-announce span{
    white-space: break-spaces;
}

.course-detail-announce a{
    white-space: nowrap;
    margin-left: 10px;
}


.info-title{
    position: relative;
    padding-left: 20px;
    margin-top: 2rem;
}

.info-title h3{
    padding: 0;
}

.info-title::before{
    content: '';
    position: absolute;
    width: 7px;
    height: 100%;
    background: #22a1ff;
    left: 0;
    top: 0;
}

.info-list{
    display: flex;
    flex-wrap:wrap;
    padding: 2rem 0;
    gap: 30px 10px;
}
.info-list li{
    width: calc(50% - 10px);
    display: flex;
    align-items: flex-start;
    gap:10px;
}

.info-list li span{
    padding-top: 7px;
    font-weight: 600;
}

.info-list-object{
    white-space: nowrap;
    display: flex;
    align-items: center;
    gap:10px;
}

.course-detail-info iframe{
    width: 100%;
    aspect-ratio: 16/9;
    height: auto;
}

.course-detail-info p a{
    color: #22a1ff;
    text-decoration: none;
    margin-bottom: 0;
    display: block;
}
.course-description{
    padding-bottom: 1rem;
}

.description-video{
    width: 100%;
}

.object-icon{
    color: white;
    background: #4f68cc;
    width: 40px;
    aspect-ratio: 1;
    padding: 10px;
    border-radius: 50%;
    font-size: 24px;
    position: relative;
}

.object-icon i{
    position: absolute;
    left: 50%;
    top: 50%;
    transform:translate(-50%,-50%)
}

.about-teacher{
    padding-top: 2rem;
}

.teacher-top{
    display: flex;
    flex-wrap:0wrap;
    gap: 15px;
    align-items: center;
    padding-bottom: 20px;
}

.teacher-img{
    width: 90px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #dddddd;
    overflow: hidden;
}

.teacher-title{
    flex-grow: 1;
    width: calc(100% - 90px);
}

.teacher-title .name{
    font-size: 18px;
    font-weight: 600;
    padding-bottom: 5px;
}

.teacher-title .title{
    color: #727272;
}



.schedule-table {
    width: 100%;
    border-collapse: collapse;
    /* margin: 20px 0; */
    font-size: 16px;
}

.schedule-table thead {
    background-color: #e3e9f5;
    font-weight: bold;
}

.schedule-table th,
.schedule-table td {
    border: 1px solid #ccc;
    padding: 12px;
    vertical-align: top;
    text-align: left;
}

.schedule-table td br {
    display: block;
    margin-top: 6px;
}

.schedule-table tbody tr:nth-of-type(2n){
    background: #f7f7f7;
}

.question-list{
    padding: 0;
}
.project-price-block{
    padding: 1rem 0 1rem 0;
}

.project-section{
    display: flex;
    flex-direction: column;
    gap:20px;
}

.project-card{
    
    border-radius: 10px;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.15);
    overflow: hidden;
}

.project-card .top-header{
    text-align: center;
    padding:1rem;
    background: #f7f7f7;
    font-family: "Noto Serif TC", serif;
    font-size: 1.2rem;
    font-weight: 800;
}

.project-card .card-content{
    padding: 1.5rem;
    background: white;
}

.project-card.bundle{
    border:solid 1px #ccc;
    padding: 0;
    box-shadow: none;
}

.bundle-header{
    text-align: center;
    padding:1rem;
    background: #f7f7f7;
}

.bundle-type{
    color:#ff881d;
    font-weight: 500;
}

.bundle-title{
    font-family: "Noto Serif TC", serif;
    font-size: 1.2rem;
    font-weight: 800;
    padding-top: 0.5rem;
}

.project-features li{
    padding-bottom: 0.7rem;
}

.project-actions{
    display: flex;
    justify-content: center;
    align-items: center;
    gap:15px;
    padding-top: 1rem;
}

.project-actions .btn{
    color: #fff;
    background: #22a1ff;
    transition: 0.5s ease-in-out;
    flex-grow: 1;
    padding: 10px 0;
}

.project-actions .btn-buy.disabled{
    touch-action: none;
    
}

.project-actions .btn-cart{
    font-size: 1.7rem;
    width: 50px;
    aspect-ratio: 1;
    border: solid 2px #22a1ff;
    border-radius: 50%;
    text-align: center;
    padding-top: 3px;
    color: #22a1ff;
}

.course-detail.special .project-actions .btn-cart{
    border: solid 2px #ff881d;
    color: #ff881d;
}

.course-detail.free .project-actions .btn-cart{
    border: solid 2px #ef3a65;
    color: #ef3a65;
}

.course-detail.bought .project-actions .btn-cart{
    display: none;
}

.bundle-content{
    padding: 1.5rem;
}

.bundle-content .bundle-item a{
    display: flex;
    gap:10px;
    padding: 1rem 0;
    align-items: flex-start;
    cursor: pointer;
}

.bundle-content .bundle-item{
    border-bottom: solid 1px #d9d9d9;
}

.bundle-content .bundle-item:last-of-type{
    border-bottom:none;
}

.bundle-content .bundle-item .bundle-item-img{
    width: 200px;
    border-radius: 7px;
    overflow: hidden;
    aspect-ratio: 89/50;
}

.bundle-item-detail .bundle-item-title{
    padding-bottom: 0.5rem;
    font-weight: 600;
}

.bundle-actions{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem;
    border-top: solid 1px #d9d9d9;
    gap: 10px;
    flex-wrap: wrap;
}

.bundle-actions .price{
    color:#ff881d;
}

.bundle-actions .btn{
    background: #ff881d !important;
    color:white;
    padding: 10px 25px;
}

.bundle-content .bundle-item a:hover img{
    transform: scale(1.1);
}

.chapter-list .chapter{
    border: solid 1px #d9d9d9;
    border-radius: 5px;
    margin-bottom: 1rem;
}

.chapter-item{
    padding: 1rem ;
    display: flex;
    justify-content: space-between;
    /* border-bottom: solid 1px #d9d9d9; */
}

.chapter-title{
    font-weight: 600;
    position: relative;
    /* padding-left: 2rem; */
    max-width: calc(100% - 120px);
}

.chapter-title i{
    font-size: 1.5rem;
    position: absolute;
    top: 50%;
    left: 0px;
    transform: translateY(-50%) rotate(180deg);
    transition: 0.5s;
}

.chapter.rotate i {
    transform: translateY(-50%) rotate(360deg);
}

.unit-list{
    display: none;
}

.try-it-video-list{
    padding-top: 2rem;
}

.try-it-video-list .swiper-slide{
    width: 50%;
    position: relative;
    cursor: pointer;
}

.try-it-video-list .swiper-slide:hover .try-video-img:after{
    opacity: 1;
}

.try-it-video-list .swiper-slide:hover img{
    transform: scale(1.1);
}

.try-it-video-list .swiper-button-next,
.try-it-video-list .swiper-button-prev{
    width: 35px;
    background: #000000a1;
    color: #22a1ff;
    top: 50%;
}

.try-it-video-list .swiper-button-next{
    right: 2px;
}

.try-it-video-list .swiper-button-prev{
    left: 2px;
}

.try-it-video-list .swiper-button-next:after, 
.try-it-video-list .swiper-button-prev:after{
    font-size: 1.2rem ;
    font-weight: 600;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}



.try-video-img {
    width: 100%;
    aspect-ratio: 16/9;
    background: black;
    overflow: hidden;
    position: relative;
    z-index: 1;
    border-radius: 10px;
}

.try-video-img img{
    transition: 0.5s;
}

.try-video-img i{
    color:white;
    position: absolute;
    z-index: 3;
    font-size: 2rem;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.try-video-img:after{
    content:'';
    position: absolute;
    background: #22a1ff;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    opacity: 0.8;
    transition: 0.5s;
}

.try-video-title{
    font-size: 1.2rem;
    font-weight: 500;
    position: relative;
    display: block;
    display: -webkit-box;
    overflow: hidden;
    max-width: 100%;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    padding-top: 5px;
}

.total-block{
    display: flex;
    gap: 10px;
    color: #727272;
    flex-wrap: nowrap;
    align-items: center;
}

.try-it{
    /* margin-right: 10px; */
    color:#22a1ff;
    padding:3px 10px;
    border:solid 1.5px #22a1ff;
    border-radius: 5px;
    transition: 0.5s;
    font-size: 14px;
    text-decoration: none;
}

.try-it:hover{
    color:white !important;
    background: #22a1ff !important;
    text-decoration: none!important;
}

.unit-list li{
    padding:1rem;
    border-bottom: solid 1px #d9d9d9;
    display: flex;
    justify-content: space-between;
    background: #f7f7f7;
    gap: 10px;
}
.unit-list li:last-of-type{
    border-bottom:none;
}


.unit-list li .time,.total-block .time{
    white-space: nowrap;
    display: flex;
    gap: 10px;
    align-items: center;
}

.bottom-fixed{
    display: none;
}

.course-detail-info table {
    width: 100%;
    border-collapse: collapse;
    /* margin: 20px 0; */
    font-size: 16px;
}

.course-detail-info table thead {
    background-color: #e3e9f5;
    font-weight: bold;
}

.course-detail-info table th,
.course-detail-info table td {
    border: 1px solid #ccc;
    padding: 12px;
    vertical-align: top;
    text-align: left;
}

.course-detail-info table td br {
    display: block;
    margin-top: 6px;
}

.course-detail-info table:not(.schedule-table) tr:first-of-type{
    background-color: #e3e9f5;
    font-weight: bold;
}

/* .course-detail-info  tbody tr:nth-of-type(2n){
    background: #f7f7f7;
} */


@media print, screen and (max-width: 1090px) {
    .bundle-actions .btn{
        width: 100%;
    }

    .course-main-wrap{
        margin: 0 auto;
    }

    .course-wrap .title{
        font-size: 2rem;
        width: 70%;
    }
}

@media print, screen and (max-width: 820px) {
    .pc-show{
        display: none;
    }
    .mb-show{
        display: block;
    }

    .project-actions .btn{
        height: auto;
    }

    .price {
        font-size: 1.5rem;
    }

    .course-headline {
        width: 100%;
        aspect-ratio: 375 / 547;
        max-height: calc(100vh - 102px);
        padding: 20px 0 !important;
    }

    .course-main-wrap {
        padding:0 1rem ;
        top: auto;
        transform: translateY(0);
        bottom: 7%;
        height: 100%;
    }

    .course-main-wrap {
        justify-content: flex-end;
    }

    .course-wrap .btn{
        display: none;
    }

    .bundle-actions .btn{
        height: auto;
    }

    .course-top-block{
        justify-content: center;
    }

    .sell-type{
        font-size: 14px;
    }

    .course-wrap .title {
        font-size: 2rem;
        width: 100%;
    }

    .mb-action-block{
        display: block;
    }

    .mb-action-block div{
        display: flex;
        gap:10px;
        font-size: 1rem;
        padding-top: 1rem;
        color: white;
    }

    .mb-action-block a{
        color: white;
        vertical-align: middle;
        display: flex;
        align-items: center;
        /* gap: 5px; */
    }

    .mb-action-block i{
        font-size: 2rem;
        padding-right: 5px;
    }

    .action-block{
        display: none;
    }

    .course-detail .content {
        flex-direction: column;
    }

    .detail-left{
        width: 100%;
    }

    .detail-right{
        width: 100%;
        max-width: unset;
    }

    .info-list li {
        width: 100%;
    }

    .try-it-video-list {
        overflow: hidden;
    }

    .try-it-video-list .swiper-wrapper {
        gap: 0;
    }

    .try-it-video-list .swiper-button-next,
    .try-it-video-list .swiper-button-prev{
        top: 45%;
    }

    /* .total-block{
        display: none;
    } */

    .chapter-list .total-block{
        /* display: block; */
    }

    /* 底部fixed按鈕 */
    .bottom-fixed{
        position: fixed;
        bottom: 0;
        background: white;
        box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.15);
        padding: 1rem 1.5rem;
        display: flex;
        width: 100%;
        z-index: 9;
        gap: 10px;
        justify-content: space-between;
        align-items: center;
    }

    .bottom-fixed .btn{
        background: #22a1ff;
        color: white;
    }

    .special.bottom-fixed .btn{
        background: #ff881d;
    }

    .free.bottom-fixed .btn{
        background: #ef3a65;
    }

    .bought.bottom-fixed .btn{
        background: #4f68cc;
    }

    .bottom-fixed .left-price .price{
        font-size: 2rem;
    }

    @media print, screen and (max-width: 540px) {
        .course-wrap .title {
            font-size: 1.7rem;
            width: 100%;
        }
    }

}